<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:template match="/">
  <HTML>
    <HEAD>
      <TITLE>My Books</TITLE>
    </HEAD>
    <BODY>
      <TABLE>
        <TR>
	  <TH>Category</TH>
	  <TH>Title</TH>
  	  <TH>Author</TH>
	  <TH>Price</TH>
        </TR>
        <xsl:apply-templates select="books/book">
          <xsl:sort select="@category"/>
        </xsl:apply-templates>
      </TABLE>
    </BODY>
  </HTML>
</xsl:template>

<xsl:template match="books/book">
  <TR>
    <TD><xsl:value-of select="@category" /></TD>
    <TD><xsl:value-of select="./title" /></TD>
    <TD><xsl:value-of select="./author" /></TD>
    <TD><xsl:value-of select="./price" /></TD>
  </TR>
</xsl:template>

</xsl:stylesheet>
